#!/bin/sh
# $MBINS/2archives-en-vitesse-2a.sh # Où MBINS="/opt/local/bin"
#
# Objectif : créer rapidement deux sauvegardes horodatées
# de son pupsave, l'une en lzop, l'autre en zip.
#
# Usage : Ouvrir une console dans le répertoire de son Toutou | Puppy
# et taper : ./2sauvegardes.sh < NomDuPupsave.?fs > < Partie signifiante de la partion >
# (? peut être 2, 3 ou 4; sans les chevrons !)
# Exemple : ./2archives-en-vitesse2a.sh xenialsave-arf.2fs c8
#
# Requis : le vrai lzop, et non pas celui de busybox. Mais si on est mal pris,
# < busybox lzop NomDeFichier.lzo > peut servir pour le « dézoppage ».
# L'utilitaire zip est déjà dans Toutou | Puppy.

# NOTES IMPORTANTES
# 1) -- Si vous utilisez un des scripts compagnons
# /etc/init.d/start_watch-2archives.sh ou $MBINS/watch-2archives.sh,
# le paramètre de fichier est ajouté automatiquement : vous n'avez
# pas besoin de le taper au clavier.
#
# 2) -- Cette version du script stocke ces archives sur une autre partition.
# Édition spéciale pour Dorothée.
#
# © Christian L'Écuyer,Gatineau (Qc), Canada, 27-30 oct. 2017. GPL3
# (Alias musher0 [forum Puppy].)  Rév. : 4 nov. 2017.
################# # https://opensource.org/licenses/GPL-3.0
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#    	This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#    	You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
##########
#	Ce programme est libre : vous pouvez le redistribuer ou modifier
#	selon les termes de la Licence Publique Générale GNU publiée par la
#	Free Software Foundation (v. 3 ou toute version ultérieure choisie par
#	vous).
#		Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS
#	AUCUNE GARANTIE, ni explicite ni implicite, y compris des garanties de
#	commercialisation ou d'adaptation à un but spécifique. Pour obtenir plus
# 	de détails, veuillez vous reporter au texte de cette licence à
#	https://opensource.org/licenses/GPL-3.0 pour le texte officiel, à
#	http://www.linux-france.org/article/these/gpl.html pour une traduction et à
#	https://fr.wikipedia.org/wiki/Licence_publique_générale_GNU pour une
#	explication en français.
################
Z="$1"
P="$2" # /mnt/sdc8, par exemple.
Dat="`date +'%F_%Hh%M'`"
Y="$Z-$Dat"
cp -f $Z $Y
zip -1 -dd -m /mnt/sd$P/$Y.zip $Y 2>/dev/null # -dd # Idem.
